> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.formantai.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.formantai.com/_mcp/server.

# List batch calls

GET https://api.voice.formantai.com/v1/batch-calls

Reference: https://docs.formantai.com/api-reference/formant-ai-voice-api/batch-calls/list-batch-calls

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: formantai-openapi
  version: 1.0.0
paths:
  /v1/batch-calls:
    get:
      operationId: list-batch-calls
      summary: List batch calls
      tags:
        - subpackage_batchCalls
      parameters:
        - name: agent_id
          in: query
          required: false
          schema:
            type: integer
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 20
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Batch call list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchCallListResponse'
        '401':
          description: Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
servers:
  - url: https://api.voice.formantai.com
    description: Global production
  - url: https://api.in.voice.formantai.com
    description: India production
components:
  schemas:
    BatchCall:
      type: object
      properties:
        agent_id:
          type: integer
        created_at:
          type: string
          format: date-time
        id:
          type: integer
        name:
          type: string
        scheduled_for:
          type:
            - string
            - 'null'
          format: date-time
        status:
          type: string
        total_recipients:
          type: integer
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      title: BatchCall
    BatchCallListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/BatchCall'
        has_more:
          type: boolean
        total:
          type: integer
      title: BatchCallListResponse
    ErrorResponseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
      title: ErrorResponseError
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorResponseError'
      title: ErrorResponse
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "data": [
    {
      "agent_id": 42,
      "created_at": "2024-04-10T14:22:00Z",
      "id": 12345,
      "name": "Spring Promotion Campaign",
      "scheduled_for": "2024-04-15T09:00:00Z",
      "status": "scheduled",
      "total_recipients": 1500,
      "updated_at": "2024-04-11T08:45:00Z"
    }
  ],
  "has_more": true,
  "total": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.voice.formantai.com/v1/batch-calls"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.voice.formantai.com/v1/batch-calls';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voice.formantai.com/v1/batch-calls"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.voice.formantai.com/v1/batch-calls")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.voice.formantai.com/v1/batch-calls")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.voice.formantai.com/v1/batch-calls', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.voice.formantai.com/v1/batch-calls");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voice.formantai.com/v1/batch-calls")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```